Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.list
Class AbstractListModel

    java.lang.Object
      nextapp.echo2.app.list.AbstractListModel

All Implemented Interfaces:
  java.io.Serializable, ListModel

Direct Known Subclasses:
  DefaultListModel

    public abstract class AbstractListModel

extends java.lang.Object
implements ListModel, java.io.Serializable

A base class from which `ListModel` implementations may be derived. This class provides event listener management facilities.

See Also:
  Serialized Form

Constructor Summary
`AbstractListModel()` Creates a new AbstractListModel.

Method Summary
`void` | `addListDataListener(ListDataListener l)` Adds a `ListDataListener` to the model.
`protected void` | `fireContentsChanged(int index0, int index1)` Notifies listeners that the contents of the list have changed.
`protected void` | `fireIntervalAdded(int index0, int index1)` Notifies listeners that an interval of items was added.
`protected void` | `fireIntervalRemoved(int index0, int index1)` Notifies listeners that an interval of items was removed.
`protected EventListenerList` | `getEventListenerList()` Returns the `EventListenerList` being used to manage event listeners.
`void` | `removeListDataListener(ListDataListener l)` Removes a `ListDataListener` from the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface nextapp.echo2.app.list.ListModel
`get, size`

Constructor Detail

### AbstractListModel

    public AbstractListModel()

  Creates a new AbstractListModel.

Method Detail

### addListDataListener

    public void addListDataListener(ListDataListener l)

  Description copied from interface: `ListModel`
  Adds a `ListDataListener` to the model. `ListDataListener`s are notified whenever the model changes.

  Specified by:
    `addListDataListener` in interface `ListModel`
  Parameters:
    `l` - the `ListDataListener` to add
  See Also:
    `ListModel.addListDataListener(nextapp.echo2.app.event.ListDataListener)`

### getEventListenerList

    protected EventListenerList getEventListenerList()

  Returns the `EventListenerList` being used to manage event listeners.

  Returns:
    the listener list

### fireContentsChanged

    protected void fireContentsChanged(int index0,
                                       int index1)

  Notifies listeners that the contents of the list have changed. Subclasses must call this method after one or elements are changed.

  Parameters:
    `index0` - the index of the first changed item
    `index1` - the index of the last changed item

### fireIntervalAdded

    protected void fireIntervalAdded(int index0,
                                     int index1)

  Notifies listeners that an interval of items was added. Subclasses must call this method after one or elements are added.

  Parameters:
    `index0` - the index of the first added item
    `index1` - the index of the last added item

### fireIntervalRemoved

    protected void fireIntervalRemoved(int index0,
                                       int index1)

  Notifies listeners that an interval of items was removed. Subclasses must call this method after one or elements are removed.

  Parameters:
    `index0` - the index of the first removed index
    `index1` - the index of the last removed index

### removeListDataListener

    public void removeListDataListener(ListDataListener l)

  Description copied from interface: `ListModel`
  Removes a `ListDataListener` from the model. `ListDataListener` are notified whenever the model changes.

  Specified by:
    `removeListDataListener` in interface `ListModel`
  Parameters:
    `l` - the `ListDataListener` to remove
  See Also:
    `ListModel.removeListDataListener(nextapp.echo2.app.event.ListDataListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD